SELECT
        ads.ad_id,
        ads.list_id,
        ads.subject,
        ads.category,
        users.email,
        ap1.value as service_order,
        ap2.value as service_amount,
        st.timestamp as assigned_at,
        admins.username as admin_name
FROM
        ad_actions act
        JOIN ads USING (ad_id)
        LEFT JOIN action_params ap1
        ON (    act.ad_id = ap1.ad_id
                AND act.action_id = ap1.action_id
                AND ap1.name = 'service_order'
        )
        LEFT JOIN action_params ap2
        ON (    act.ad_id = ap2.ad_id
                AND act.action_id = ap2.action_id
                AND ap2.name = 'service_amount'
        )
        JOIN action_states st
        ON (    act.ad_id = st.ad_id
                AND act.action_id = st.action_id
                AND act.current_state = st.state_id
        )
        JOIN tokens USING (token_id)
        JOIN admins USING (admin_id)
        JOIN users USING (user_id)
WHERE
        act. action_type = 'pack2if'
        AND act.state = 'accepted'
        <%(!?timestamp_from && !?timestamp_to)
           AND st.timestamp > CURRENT_DATE + CURRENT_TIME - Interval '1 day'
        ::
           AND st.timestamp BETWEEN '<%%timestamp_from%>' AND '<%%timestamp_to%>'
        %>
ORDER BY st.timestamp DESC
;
